// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** Sign in 在需要权限的接口里，需要在请求头里添加 Authorization，携带 token  的值。 POST /api/auth/sign_in */
export async function signIn(body: API.SignInDto, options?: { [key: string]: any }) {
  return request<API.MessageDtoComposeAuthDto>('/api/auth/sign_in', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** Sign out 需要在请求头里添加 Authorization，携带 token  的值。 GET /api/auth/sign_out */
export async function signOut(options?: { [key: string]: any }) {
  return request<API.MessageDtoComposeVector>('/api/auth/sign_out', {
    method: 'GET',
    ...(options || {}),
  });
}
